# LogDoctor: LogLineData Struct Reference

Loading...
Searching...
No Matches
LogLineData Struct Referencefinal

LogLineData. More...

`#include <lib.h>`

## Public Member Functions

| LogLineData (const std::string &line, const LogsFormat &logs_format)
size_t | size () const noexcept
| Returns the total size of all the fields' data.

## Private Member Functions

FieldData & | data (const LogsFormatField id)
| Returns a reference to the field data corresponding to the given field identifier.
void | storeMalformedRequestOneSpace (std::string &&str) noexcept
void | storeMalformedRequestMultiSpace (std::string &&str) noexcept

## Detailed Description

LogLineData.

Holds the data of a single log line

## Constructor & Destructor Documentation

## LogLineData()

LogLineData::LogLineData | ( | const std::string & | line,
|  | const LogsFormat & | logs_format )

Exceptions

  LogParserException |

## Member Function Documentation

## storeMalformedRequestMultiSpace()

void LogLineData::storeMalformedRequestMultiSpace | ( | std::string && | str | ) |

privatenoexcept

P\M 000 001 010 011 100 101 110 111

000 +U+ +UM +U+ +U+ MU+ +U+ +U+ +U+

001 +UP — UMP — MUP — +UP —

010 +U+ UPM — — MPU +U+ — —

011 +U+ — — — MU+ — — —

100 PU+ PUM PMU PU+ — — — —

101 +U+ — +U+ — — — — —

110 +U+ +UM — — — — — —

111 +U+ — — — — — — —

## storeMalformedRequestOneSpace()

void LogLineData::storeMalformedRequestOneSpace | ( | std::string && | str | ) |

privatenoexcept

P\M 00 01 10 11

00 U+ UM MU U+

01 UP – MP –

10 PU PM – –

11 U+ – – –

The documentation for this struct was generated from the following files:

- logdoctor/modules/craplog/modules/workers/lib.h
- logdoctor/modules/craplog/modules/workers/impl/loglinedata.cpp